EDIT - bug #6329

improve display of media sources and annotations
01/12/2017 04:21 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

follow up of #6301
The sources and annotations are displayed differently in the image gallery and media page.
A. Gallery
1. Sources and annotations should be display as footnotes below the whole gallery. Footnotes should be de-duplicated. This
however is currently not possible since the media captions are loaded via AJAX one after another. To make this possible a new
ajax mechanism is needed which loads the captions for all media in a gallery in one request and that also includes the
footnotes.

B. Media Page

1. On media pages the sources should be shown as ordinary attributes, not as footnotes (this is already implemented as far as |
can see, only remainging issue: use "Source(s)" instead of "Sources". ---> #6316

Subtasks:
feature request # 6316: display source references of media objects in media page Closed

Related issues:
Related to EDIT - feature request #9717: show media source external links in ... New
Copied from EDIT - feature request #6301: Display of sources for images Closed

Associated revisions

Revision cf4b9055 - 01/29/2019 06:25 PM - Andreas Kohlbecker

ref #6329 fixing bug in proxy_content() which could affect the display of sources and annotations in media galleries

History

#1 - 01/12/2017 04:21 PM - Andreas Kohlbecker

- Copied from feature request #6301: Display of sources for images added

#2 - 01/12/2017 04:29 PM - Andreas Kohlbecker

- Subject changed from improve display of media sources to improve display of media sources and annotations

The sources and annotations are displayed differently in the image gallery and media page.

A. Gallery

1. Sources and annotations should be display as footnotes below the whole gallery. Footnotes should be de-duplicated. This however is currently

not possible since the media captions are loaded via AJAX one after another. To make this possible a new ajax mechanism is needed which
loads the captions for all media in a gallery in one request and that also includes the footnotes.

B. Media Page

#3 - 01/12/2017 04:29 PM - Andreas Kohlbecker

- Description updated

#4 - 01/12/2017 04:49 PM - Andreas Miuller
| don't understand why the captions are relevant here sources and annotations are not dependent on the captions and the captions will not hold any
information that needs footnotes/annotations. So all the information can be computed without AJAX here.
But probably | am missing something.

#5 - 01/12/2017 05:15 PM - Andreas Kohlbecker
Andreas Muller wrote:
| don't understand why the captions are relevant here sources and annotations are not dependent on the captions and the captions will not hold

any information that needs footnotes/annotations. So all the information can be computed without AJAX here.
But probably | am missing something.

The method and related stuff is named media_caption. This is for historical reasons and could be changed if really needed. | was referring to that term
even if it is a bit confusing to ease find the according function in the code.

#6 - 01/19/2017 04:46 PM - Andreas Miuller

- Description updated

#7 - 05/17/2017 01:37 PM - Andreas Kohlbecker

- Description updated

#8 - 07/19/2021 04:27 PM - Andreas Kohlbecker

- Related to feature request #9717: show media source external links in media gallery and media page added
